TServerFactory.Args (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.thrift

## Class TServerFactory.Args

- java.lang.Object
- - org.apache.cassandra.thrift.TServerFactory.Args

- Enclosing interface:
    TServerFactory

      public static class TServerFactory.Args
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.net.InetSocketAddress` | `addr`
    `org.apache.thrift.transport.TTransportFactory` | `inTransportFactory`
    `boolean` | `keepAlive`
    `java.lang.Integer` | `listenBacklog`
    `org.apache.thrift.transport.TTransportFactory` | `outTransportFactory`
    `org.apache.thrift.TProcessor` | `processor`
    `java.lang.Integer` | `recvBufferSize`
    `java.lang.Integer` | `sendBufferSize`
    `org.apache.thrift.protocol.TProtocolFactory` | `tProtocolFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TServerFactory.Args()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### addr

          public java.net.InetSocketAddress addr

    - #### listenBacklog

          public java.lang.Integer listenBacklog

    - #### processor

          public org.apache.thrift.TProcessor processor

    - #### tProtocolFactory

          public org.apache.thrift.protocol.TProtocolFactory tProtocolFactory

    - #### inTransportFactory

          public org.apache.thrift.transport.TTransportFactory inTransportFactory

    - #### outTransportFactory

          public org.apache.thrift.transport.TTransportFactory outTransportFactory

    - #### sendBufferSize

          public java.lang.Integer sendBufferSize

    - #### recvBufferSize

          public java.lang.Integer recvBufferSize

    - #### keepAlive

          public boolean keepAlive

  - ### Constructor Detail

    - #### TServerFactory.Args

          public TServerFactory.Args()

Copyright © 2014 The Apache Software Foundation